@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Code:ital,wght@0,300..800;1,300..800&display=swap');

body {
    margin: 0;
    background: black;
}

* {
    font-family: "Google Sans Code", monospace;
    font-weight: 500;
    font-size: 14px;
}

#terminal-container {
    position: fixed;
    width: calc(100vw - 20px);
    height: calc(100vh - 20px);
    margin: 10px;
}

#terminalInput,
#terminalRender {
    display: block;
    position: absolute;
    inset: 0;
    margin: 0;
    box-sizing: border-box;
    border: 0;
    padding: 5px;
    white-space: pre-wrap;
    word-break: break-all;
}

#terminalInput {
    outline: none;
    background: transparent;
    resize: none;
}

#terminalInput::selection {
    background: transparent;
}

#terminalRender {
    background: transparent;
    color: white;
    white-space: pre-wrap;
    overflow: auto;
    pointer-events: none;
}

#terminalCursor {
    position: absolute;
    width: 1px;
    height: 1.2em;
    background-color: #fff;
    animation: blink 2s steps(1) infinite;
    pointer-events: none;
    display: none;
}

@keyframes blink {
    0%, 100% { opacity: 1; }
    50% { opacity: 0; }
}